mcrypt_enc_is_block_algorithm_mode
mcrypt_enc_is_block_mode
Mcrypt Functions
PHP Manual

# mcrypt_enc_is_block_algorithm

(PHP 4 >= 4.0.2, PHP 5)

mcrypt_enc_is_block_algorithm — Checks whether the algorithm of the opened mode is a block algorithm

### Description

bool mcrypt_enc_is_block_algorithm ( resource `$td` )

Tells whether the algorithm of the opened mode is a block algorithm.

### Parameters

`td`

  The encryption descriptor.

### Return Values

Returns `TRUE` if the algorithm is a block algorithm or `FALSE` if it is a stream one.

mcrypt_enc_is_block_algorithm_mode
mcrypt_enc_is_block_mode
Mcrypt Functions
PHP Manual